[package]
name = "nostr-rs-client"
version = "0.1.0"
edition = "2021"

[dependencies]
thiserror = "1.0.40"
nostr-rs-types = { path = "../types" }
tokio = { version = "1.26.0", features = ["sync", "macros", "rt", "time"] }
tokio-tungstenite = { version = "0.18.0", features = [
    "rustls",
    "rustls-native-certs",
    "rustls-tls-native-roots",
] }
url = "2.3.1"
serde_json = "1.0.94"
futures-util = "0.3.27"
log = "0.4.17"
futures = "0.3.28"

[dev-dependencies]
nostr-rs-relayer = { path = "../relayer" }
